Page MenuHomePhabricator

Support dedicating a specific virt node to a specific nova project
Closed, DeclinedPublic

Description

Mark Bergsma offered to repurpose the old app servers for CI purposes ( T84940 ). Can we figure out in OpenStack how to get that hardware to be dedicated to a specific labs project (ex: contintcloud) that will be used to spawn disposable VM?

Maybe it is overkill and we can just reuse the shared hardware.


See also:

Event Timeline

hashar created this task.Dec 19 2014, 11:24 AM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar changed Security from none to None.
hashar added subscribers: hashar, Andrew, coren, Krinkle.
Krinkle updated the task description. (Show Details)Jan 21 2015, 1:55 AM
Krinkle triaged this task as Medium priority.Mar 2 2015, 1:50 PM
Andrew renamed this task from Figure out how to dedicate baremetal to a specific labs project to Figure out how to dedicate specific virt nodes to a specific labs project.Mar 30 2015, 7:57 PM

I renamed this because 'baremetal' refers to a particular use case which this isn't :)

Krinkle renamed this task from Figure out how to dedicate specific virt nodes to a specific labs project to Support dedicating a specific virt node to a specific nova project.Apr 3 2015, 12:17 AM
hashar lowered the priority of this task from Medium to Low.Apr 13 2015, 10:45 PM

Lowering priority, at the start I guess we can afford having our small disposable instances to roam on the current compute servers. Still interesting to investigate at one point so we can allocate the CI vm to dedicated hardware.

Just now chase and I have confirmed that the proper mechanism to direct particular VMs to particular hosts (host aggregates) does not work in icehouse.

We'll have another go once the cluster is upgrade to Juno or Kilo.

I once filled a bug (T59833) to get the bastion instances to be on different hosts, though that is probably a slightly different feature.

@RyanLane wrote on T59833#637230:

When Labs upgrades to the Icehouse release they should use the new scheduler feature to ensure they can't live on the same host.

Quickly browsing the Icehouse doc http://docs.openstack.org/icehouse/config-reference/content/section_compute-scheduler.html there is a concept of filters between the instance allocation request and the host. From the doc:

ServerGroupAffinityFilter ensures that an instance is scheduled on to a host from a set of group hosts. To take advantage of this filter, the requester must create a server group with an affinity policy, and pass a scheduler hint, using group as the key and the server group UUID as the value. Using the nova command-line tool, use the --hint flag. For example:

$ nova server-group-create --policy affinity group-1
$ nova boot --image IMAGE_ID --flavor 1 --hint group=SERVER_GROUP_UUID server-1

The page also documents the "Host aggregates", it lists a required nova.conf to set scheduler_default_filters to contain AggregateInstanceExtraSpecsFilter . But I guess you guys have seen that already :(

hashar changed the task status from Open to Stalled.Oct 7 2015, 8:14 PM
hashar lowered the priority of this task from Low to Lowest.

If CI starts to cause troubles to other projects on labs, we will have to look at dedicated hardware for it. There is not much need for such a feature right now, so lowest priority and stalled.

@chasemp @Andrew should we look at running the CI instances on dedicated compute node or is that an idea that should be abandoned?

Andrew added a comment.Nov 4 2016, 2:58 PM

I'm not sure what it would help. In general when there are resource issues it's not with virt capacity but with other things that are cloud-wide.

hashar closed this task as Declined.Nov 18 2016, 3:18 PM

Thanks @Andrew I am thus forgetting about it.